#include <iostream.h>
#include <string.h>
#include <conio.h>
#include <stdio.h>
#pragma hdrstop
class Student
{
  private:
    char *Nazwisko;
  public:
    void JakiStudent(char *);
    void Inicjalizacja();
    void Finalizacja();
};// InfoStudent;
//--------------------------------------------------------
void Student::Inicjalizacja()
{
 Nazwisko = new char[40];
 cout <<"Przydzielono pamiec";
 cout << endl << "Nacisnij Enter" << endl;
 getchar();
 return;
}
//---------------------------------------------------------
void Student::Finalizacja()
{
 delete[] Nazwisko;
 cout <<"Zwolniono pamiec";
 cout << endl << "Nacisnij Enter" << endl;
 return;
}
//---------------------------------------------------------
void Student::JakiStudent(char *s)
{
  Nazwisko = s;
  if(strcmp(Nazwisko, "Wackowski")==0)
    strcpy(Nazwisko, "bardzo dobry student");
  if(strcmp(Nazwisko, "Jankowski")==0)
     strcpy(Nazwisko, "kiepski student");
  cout << Nazwisko << endl << endl;
  return;
}
//---------------------------------------------------------
int main()
{
  char *KtoryStudent;
  KtoryStudent = new char[40];
  Student InfoStudent;
  clrscr();
  cout << "Podaj nazwisko: ";
  gets(KtoryStudent);
  InfoStudent.Inicjalizacja();
  InfoStudent.JakiStudent(KtoryStudent);
  InfoStudent.Finalizacja();
  getch();
  delete[] KtoryStudent;
  return 0;
}

